package com.cf.imes.module.executor.enums.plan;

import lombok.Getter;

/**
 *
 *
 * @author Gqr
 * @since 2026/5/25 15:01
 */
@Getter
public enum FlowProcessStatus {

    /**
     * 未开始 - 未生产/未开料
     */
    NOT_STARTED(1),

    /**
     * 进行中 - 生产中/开始开料中
     */
    IN_PROGRESS(2),

    /**
     * 已完成 - 生产完成/结束开料
     */
    COMPLETED(3);

    private final Integer status;

    FlowProcessStatus(Integer status) {
        this.status = status;
    }
}